<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="newVersionForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="availableValidatorPanel"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.MarkValidatorAsAvailableForTesting']}</ui:define>
            <h:outputText value="#{messages['net.ihe.gazelle.xval.YouAreAboutToMarkThisValidatorAsAvailableForTest']}" styleClass="gzl-alert gzl-alert-orange"/>
            <s:div id="availableValidatorPanelContent">
                <a4j:region>
                    <div class="form-inline">
                        <s:decorate template="/layout/form/_edit.xhtml"
                                    rendered="#{xvalidatorEditorManager.validator.isUnderDevelopment()}">
                            <ui:param name="id" value="versionInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                            <h:inputText value="#{xvalidatorEditorManager.validator.version}"
                                         id="versionInput" styleClass="form-control"/>
                        </s:decorate>
                    </div>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{xvalidatorEditorManager.validator.isUnderMaintenance()}">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.CurrentVersion']}</ui:define>
                            <h:outputText value="#{xvalidatorEditorManager.validator.version}"/>
                        </s:decorate>
                    </dl>
                    <div class="form-inline">
                        <s:decorate template="/layout/form/_edit.xhtml"
                                    rendered="#{xvalidatorEditorManager.validator.isUnderMaintenance()}">
                            <ui:param name="id" value="newversionInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.NewVersion']}</ui:define>
                            <h:inputText value="#{xvalidatorEditorManager.newVersion}" required="true"
                                         requiredMessage="A new version shall be set" id="newversionInput"
                                         styleClass="form-control"/>
                        </s:decorate>
                    </div>
                </a4j:region>
                <h:outputText value="#{messages['net.ihe.gazelle.xval.DoYouReallyWantToSwitchToAvailableMode']}"/>
            </s:div>
            <ui:define name="popup_footer">
                <a4j:commandButton action="#{xvalidatorEditorManager.enableValidator()}" value="#{messages['net.ihe.gazelle.xval.Yes']}"
                                   oncomplete="jq162('#availableValidatorPanel').modal('hide');"
                                   styleClass="gzl-btn-green"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                   oncomplete="jq162('#availableValidatorPanel').modal('hide');"
                                   immediate="true" styleClass="gzl-btn-orange"/>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
